Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class ProxyMatcherStrategy

    java.lang.Object
      org.jboss.aop.pointcut.MatcherStrategy
          org.jboss.aop.pointcut.ProxyMatcherStrategy

public class ProxyMatcherStrategy
extends MatcherStrategy

Strategy to allow for different handling for the pointcut matchers for different types of advisor This one uses the "default" strategy, used for proxy advisors. The main problem for these is that methods from interface introductions will have the class of the interface rather than the class of the advised class.

Version:
  $Revision: 1.1 $
Author:
  Kabir Khan

Constructor Summary
`ProxyMatcherStrategy()`

Method Summary
`protected boolean` | `checkIntroductions(Class clazz, ClassExpression instanceOf, Advisor advisor)`
`Class` | `getDeclaringClass(Advisor advisor, Method m)` Interface Introduced methods on the proxy will have the wrong declaring class for the matcher, use the advisor class if it is an interface

Methods inherited from class org.jboss.aop.pointcut.MatcherStrategy
`getMatcher, subtypeOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyMatcherStrategy

    public ProxyMatcherStrategy()

Method Detail

### checkIntroductions

    protected boolean checkIntroductions(Class clazz,
                                         ClassExpression instanceOf,
                                         Advisor advisor)

  Specified by:
    `checkIntroductions` in class `MatcherStrategy`

### getDeclaringClass

    public Class getDeclaringClass(Advisor advisor,
                                   Method m)

  Interface Introduced methods on the proxy will have the wrong declaring class for the matcher, use the advisor class if it is an interface

  Specified by:
    `getDeclaringClass` in class `MatcherStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.